#!/bin/sh
# Default parameter values
#
# -h host IP
# -c number of counts - how many times is test called
#

#while [ 0 ]; do sleep 1 && free; done;

COUNT=3
HOST=192.168.0.102

	while [ $# != 0 ]; do
	case $1 in
		-h) HOST=$2; shift; shift;
			;;

		-c) COUNT=$2; shift; shift;
			;;

		*)	echo "blbe"
			exit -1
			;;

	esac;
	
	done;

#Print information about platform setting
echo "$HOST; count=$COUNT"

uname -a
cat /proc/cpuinfo
cat /proc/interrupts
free
echo ""

#COMMANDS="cut expr netperf echo"
for command in $COMMANDS
do
	if [ `type $command>/dev/null 2>&1;echo $?` -ne '0' ];then
		echo "ERROR: $command command not found in current installation. Please install it."
		exit -1
	fi
done;

PROT="TCP_STREAM UDP_STREAM TCP_MAERTS TCP_RR TCP_CRR  UDP_RR"

for prot in $PROT
do
	CC=""
	i="0"

	while [ $i -lt $COUNT ]; do

		CC2=`netperf -H $HOST -t $prot -P 0 -f k | awk 'NF > 2 {print $NF}'`
#		netperf -H $HOST -t $prot -P 0 -f k
#		CC2=`echo "" | awk 'NF > 2 {print $NF}'`
		CC2=`echo $CC2|cut -d "." -f 1`
		CC=`echo "$CC $CC2"`
#		echo "$CC"
		i=`expr $i + 1`
	done;

	A=0
	P=0
	for i in $CC
	do
		A=`expr $A + 1`
#		echo "|$A|$i|"
		P=`expr $i + $P`
	done;

	if [ $A -gt 0 ]; then
		AVE=`expr $P / $A`
	else
		AVE="failed" 
	fi

	echo "|$prot|$CC|Average|$AVE|"

done;

ifconfig

